#include "bootloader.h"


#define BOOT_KEY 0xAA55AA55
uint32_t boot_key __attribute__ ((section (".noinit")));


void boot_loader(void) {
	boot_key = BOOT_KEY;
	hardware_reset();
}


#define is_wdt_reset()  ((MCUSR&(1<<WDRF)) ? (1==1):(0==1))
void check_bootloader(void) {
	if ((is_wdt_reset()) && (boot_key == BOOT_KEY)) {
		boot_key = 0;
		jump_to_bootloader();
	} 
}



